/*
 *
 * former enzian/src/components/elements/block--map-list-toggle/_map-list-toggle.scss
 *
 */

.h4c-toggle-box a {
  border-radius: 3px;
  padding: 0.5rem;
  color: var(--enzian-color-grey-light) !important; /* Otherwise this gets overridden from theme even if the theme is selected as group above */
}
.h4c-toggle-box a:hover {
  background-color: var(--enzian--color-primary-dark);
}
.h4c-toggle-box a.is-active {
  background-color: var(--enzian--color-primary-dark);
  color: var(--enzian-color-white);
}

/*
 *
 * former enzian/src/components/elements/block--facet-filter/_facet--filter.scss
 *
 */

.h4c-filter {
  position: absolute;
  top: 1rem;
  z-index: 1;
  font-size: 1rem;
}
.h4c-filter h2 {
  font-size: 1rem;
}
.h4c-filter input {
  border-radius: 0 4px 4px 0;
}
.h4c-filter .facets-widget-checkbox {
  line-height: 1.9;
}
.h4c-filter .SumoSelect {
  width: 100%;
}
.h4c-filter .h4c-filter__togggle-icon {
  position: absolute;
  right: 15px;
}
.h4c-filter .block--animate .h4c-filter__togggle-icon {
  transform: rotate(180deg);
  transition: transform 0.4s linear;
}
.h4c-filter .block--animate.block--expanded .h4c-filter__togggle-icon {
  transform: rotate(0deg);
  transition: transform 0.4s linear;
}
.h4c-filter .facets-widget-checkbox .facet-item {
  line-height: 1.5;
  padding-top: 0.2rem;
  padding-bottom: 0.2rem;
}
.h4c-filter__wrapper {
  position: fixed;
  right: 1rem;
  width: 250px;
}
.h4c-filter__facetwrapper {
  overflow-y: auto;
  overflow-x: hidden;
  border-radius: 9px;
  box-shadow: 0 3px 14px rgba(0, 0, 0, 0.4);
}
.h4c-filter__facetwrapper form {
  display: flex;
}
.h4c-filter__facetwrapper form > div, .h4c-filter__facetwrapper form .control {
  margin: 0;
}
.h4c-filter__facetwrapper form .field:not(:last-child) {
  margin-bottom: 0;
}
.h4c-filter__facetwrapper form input.form-text {
  border-radius: 9px 0 0 9px;
}
.h4c-filter__facetwrapper form button.form-submit {
  border-radius: 0 9px 9px 0;
}
/* Hide facet filters when screen to small */
@media (max-width: 48em) {
  /* 768px */
  .h4c-filter__wrapper {
    display: none;
    opacity: 0;
    transition: visibility 0s 0.3s, opacity 0.3s ease-in;
  }
}
.facets-widget-checkbox .facet-item:not(.facet-item--selected) > div {
  display: none;
}
.facets-widget-checkbox .facet-item--has-sub-items {
  width: calc(100% - 25px);
  position: relative;
}
.facets-widget-checkbox .facet-item--has-sub-items::after {
  border: 3px solid transparent;
  border-radius: 2px;
  border-right: 0;
  border-top: 0;
  content: " ";
  display: block;
  height: 0.625em;
  margin-top: 1em;
  position: absolute;
  top: 0;
  left: 200px;
  transform-origin: center;
  width: 0.625em;
  border-color: var(--enzian--color-navbar-link);
  transform: rotate(315deg);
}
.facets-widget-checkbox .facet-item--has-sub-items.facet-item--expanded.facet-item--animate::before {
  transform: rotate(135deg);
  transition: transform 0.4s linear;
}
.facets-widget-checkbox .facet-item--has-sub-items.facet-item--animate::before {
  transform: rotate(315deg);
  transition: transform 0.4s linear;
}
.facets-widget-checkbox .facet-item--has-sub-items ul li {
  margin-bottom: 2px;
  margin-left: 17px;
}
/* Limit height */
/* Most mobile browsers calculate vh without the browser toolbar which leads to non visible content https://stackoverflow.com/a/37113430 */
.h4c-filter__outer {
  max-height: calc(100vh - 8rem);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  background-color: unset;
  box-shadow: unset;
}
.h4c-filter__inner {
  overflow-y: auto;
  overflow-x: hidden;
  overscroll-behavior-y: none;
  /* Avoid scrolling of container when inner popup is being scrolled, browser support is mediocre https://stackoverflow.com/a/48084076 / https://caniuse.com/#feat=mdn-css_properties_overscroll-behavior-y */
  box-shadow: 0 3px 14px rgba(0, 0, 0, 0.4);
}
.h4c-filter__inner > div {
  margin-bottom: 0.5rem;
}
#block-h4cviewtoggle {
  /* Needs better selector */
  text-align: center;
  border-radius: 9px;
  background-color: var(--enzian--color-bg);
  padding: 0.75rem;
  margin-bottom: 1.5rem;
  box-shadow: 0 3px 14px rgba(0, 0, 0, 0.4);
}
#block-h4cfacets {
  /* Needs better selector */
  padding: 12px;
  background: #e3e3e3;
}
.h4c-filter h2 {
  position: relative;
  /* for absolute icon positioning */
  font-weight: 600;
  margin: 0;
  text-align: center;
  color: #fff;
  background-color: var(--enzian--color-bg);
  padding: 0.5rem 1.5rem 0.5rem 0.5rem;
  line-height: 1.2;
}
.h4c-filter__inner h2,
.h4c-filter__inner h3 {
  font-size: 1rem;
  color: var(--enzian--color-bg);
  background-color: unset;
  text-align: left;
  padding-left: 0;
}
@media screen and (min-width: 550px) and (min-height: 550px) {
  .h4c-filter h2 a {
    overflow-wrap: break-word;
    word-wrap: break-word;
    -ms-word-break: break-all;
    word-break: break-all;
    word-break: break-word;
    -ms-hyphens: auto;
    -webkit-hyphens: auto;
    hyphens: auto;
    -webkit-hyphenate-limit-lines: 2;
    hyphenate-limit-lines: 2;
    -webkit-hyphenate-limit-chars: 6 3 3;
    hyphenate-limit-chars: 6 3 3;
    color: #fff;
    /* font-size: 1rem; */
    font-weight: 600;
    pointer-events: all;
  }
}
.js-h4c-filter-toggle {
  position: fixed;
  top: 3.25rem;
  left: 0;
  z-index: 2;
  padding: 0.5rem;
  background-color: white;
  border-bottom-right-radius: 9px;
  cursor: pointer;
}
@media (min-width: 48em) {
  .js-h4c-filter-toggle {
    display: none;
  }
}
/*
 * Bulma Checkradio: Nur das CSS rausgezogen was wir gerade für Zürich brauchen
 *
 * Quelle: https://wikiki.github.io/form/checkradio/
 *
 * Die Pseudoklasse label:before wird für den weißen Rand benutzt (immer weiß), label:after für den farbigen Punkt in der Mitte. In dieser Datei werden die default Werte festgelegt, in der view/h4c_term_color_css_block die dynamischen term colors.
 *
 * Achtung: Wir benutzen die Radiobuttons aus der bulma extension als Checkboxen! Was hier checkbox ist, ist in der Bulma Extension radio!
 *
 * Todo: Als SCSS in theme einbauen / Fallback Farbe mit Color Theme fülen (Checkbox Color wird von h4c_term_color überschrieben falls vorhanden)
 *
 */
/* Make a bit more space, from /enzian/assets/css/global.css:870*/
.facets-widget-checkbox > ul > li > .facets-checkbox + label {
  margin-left: 0px;
}
/* Opacitiy für Labels und Checkboxen */
.facets-widget-checkbox input + label {
  opacity: 0.7;
}
.facets-widget-checkbox .facet-item--active-trail input + label, .facets-widget-checkbox input[checked=checked] + label {
  opacity: 1;
}
/* Set default color to make it work without view */
.facets-widget-checkbox input[type=checkbox]:checked + label:after {
  background: var(--enzian--color-bg);
  display: inline-block;
  opacity: 1;
}
/* 
 * Extensions: Checkradio
 *
 * => See Bulma overrides
 *
 */

.form-autocomplete.form-text {
  margin-bottom: 0.5rem;
}
